import java.rmi.Remote;
import java.rmi.RemoteException;

//A remote object is an instance of a class that implements a remote interface. A remote interface extends the interface java.rmi.Remote and declares a set of remote methods. Each remote method must declare java.rmi.RemoteException in its throws clause, in addition to any application-specific exceptions. Here is the interface definition for the remote interface used in this example. It declares just one method, sayHello, which returns a string to the caller:

public interface Hello extends Remote {
    String sayHello() throws RemoteException;
	int cube(int number) throws RemoteException;
	void doLoop(int number) throws RemoteException;
}

//Remote method invocations can fail in many additional ways compared to local method invocations (such as network-related communication problems and server problems), and remote methods will report such failures by throwing a java.rmi.RemoteException.
